For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usJoin the Discord
ManualAPI GuideAPI Reference
  • Overview
    • API Reference
    • Client libraries
  • API Reference
      • POSTIngest Content
      • POSTIngest Content Asynchronously
      • GETCheck Ingestion Task Status
      • GETList Ingested Documents
      • POSTDelete Ingested Document
      • POSTDelete Document Asynchronously
      • GETCheck Deletion Task Status
      • POSTRetrieve Full Document Content
      • POSTRetrieve Full Document Content in Chunks
LogoLogo
Contact usJoin the Discord
API ReferenceArtifacts

Check Deletion Task Status

GET
https://host.com/v1/artifacts/delete/async/:task_id
GET
/v1/artifacts/delete/async/:task_id
$curl https://host.com/v1/artifacts/delete/async/task_id
1{
2 "task_id": "123e4567-e89b-12d3-a456-426614174000",
3 "task_status": "SUCCESS",
4 "task_result": "task_result"
5}
Retrieve the current status of an asynchronous deletion task
Was this page helpful?
Previous

Retrieve Full Document Content

Next
Built with

Path parameters

task_idstringRequired

Response

This endpoint returns an object.
task_idstring
Unique identifier of the task being monitored
task_statusstring

Current execution status of the task. Common values: PENDING, SUCCESS, FAILURE, REVOKED

task_resultstring

Task execution result. Contains typed result data on success, error message string on failure, or None for pending/deletion tasks

Errors

401
Unauthorized
404
Not Found
422
Unprocessable Entity